summaryrefslogtreecommitdiffstats
path: root/src/scripts
diff options
context:
space:
mode:
authorShevek <[email protected]>2008-03-21 23:05:04 +0000
committerShevek <[email protected]>2008-03-21 23:05:04 +0000
commit5ff55648127c8a8e1b9829775045af986e37647c (patch)
treeb28209b1efe12824fbdcabd4ee9073e93ca30636 /src/scripts
parentfca34200881fcaf7b84b4210f7a5f40c8925c4d1 (diff)
move stuff into trunk
Diffstat (limited to 'src/scripts')
-rw-r--r--src/scripts/cpp.sh32
-rw-r--r--src/scripts/release.sh4
2 files changed, 36 insertions, 0 deletions
diff --git a/src/scripts/cpp.sh b/src/scripts/cpp.sh
new file mode 100644
index 0000000..ed167c5
--- /dev/null
+++ b/src/scripts/cpp.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+CPP_JAR=anarres-cpp.jar
+
+if [ -n "$CPP_ROOT" ] ; then
+ CPP_ROOT="$CPP_ROOT"
+elif [ -f lib/$CPP_JAR ] ; then
+ CPP_ROOT="."
+elif [ -f ../lib/$CPP_JAR ] ; then
+ CPP_ROOT=".."
+elif [ -f $(dirname $0)/lib/$CPP_JAR ] ; then
+ CPP_ROOT=$(dirname $0)
+else
+ echo "Could not find $CPP_JAR. Please set CPP_ROOT."
+ exit 1
+fi
+
+if [ -z "$CPP_LIB" ] ; then
+ CPP_LIB=$CPP_ROOT/lib
+fi
+
+if [ -z "$CPP_CLASSPATH" ] ; then
+ CPP_CLASSPATH="$(ls $CPP_LIB/*.jar | tr '\n' ':')"
+fi
+
+if [ -z "$CPP_MAINCLASS" ] ; then
+ CPP_MAINCLASS=org.anarres.cpp.Main
+fi
+
+CPP_JFLAGS="-Xmx128M"
+
+exec java $CPP_JFLAGS -cp "$CPP_CLASSPATH" $CPP_MAINCLASS "$@"
diff --git a/src/scripts/release.sh b/src/scripts/release.sh
new file mode 100644
index 0000000..6393a95
--- /dev/null
+++ b/src/scripts/release.sh
@@ -0,0 +1,4 @@
+scp build/dist/anarres-cpp-*.tar.gz [email protected]:public_html/projects/jcpp
+scp -r build/javadoc/ [email protected]:public_html/projects/jcpp
+cp build/tar/lib/anarres-cpp.jar /home/shevek/java/iengine/lib/jcpp
+cp build/tar/lib/anarres-cpp.jar /home/shevek/java/karma/trunk/lib/dp